# std::front_insert_iterator<Container>::operator++

From cppreference.com
< cpp‎ | iterator‎ | front insert iterator

front_insert_iterator& operator++(); |  | (until C++20)
constexpr front_insert_iterator& operator++(); |  | (since C++20)
front_insert_iterator& operator++( int ); |  | (until C++20)
constexpr front_insert_iterator& operator++( int ); |  | (since C++20)

Does nothing. These operator overloads are provided to satisfy the requirements of LegacyOutputIterator. They make it possible for the expressions *iter++=value and *++iter=value to be used to output (insert) a value into the underlying container.

### Parameters

(none)

### Return value

*this

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/iterator/front_insert_iterator/operator%2B%2B&oldid=107611"